﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <!--

        Оператор неравенства "!=" возвращает противоположное значение оператора равенства.
        Оператор неидентичности "!==" возвращает противоположное значение оператора идентичности.
        
-->
<script>

    var a = 1;                  // простое число
    var b = "1";                // число как строка
    var c = "some";             // строка            
    var d = 'same';             // строка
    var e = true;               // логическое "истина"
    var res;

    res = a != b;// 
    document.write("a не равно b : " + res + "<br />");

    res = c !== d;// 
    document.write("c не идентично d : " + res + "<br />");

    res = a !== e; //
    document.write("a не идентично e : " + res + "<br />");

</script>
</body>
</html>
